<?php

/**
*
* Footer Logo widget.
*
**/

if ( !class_exists('flone_footer_logo_Widget') ) {
	class flone_footer_logo_Widget extends WP_Widget{

		function __construct(){

			$widget_options = array(
				'description' 					=> esc_html__('This widget show Footer Logo', 'flone'), 
				'customize_selective_refresh' 	=> true,
			);

			parent:: __construct('flone_footer_logo_Widget', esc_html__( 'Flone: Footer Logo', 'flone'), $widget_options );

		}
		/**
		 * Front-end display of widget.
		 *
		 * @see WP_Widget::widget()
		 *
		 * @param array $args     Widget arguments.
		 * @param array $instance Saved values from database.
		 */
		public function widget($args, $instance){ 

			$image = isset( $instance['image'] ) ? $instance['image'] : '';
			$content = isset( $instance['content'] ) ? $instance['content'] : '';

			?>
			
	        <?php echo wp_kses_post( $args['before_widget'] ); ?>
	        	<div class="flone-footer-logo-box copyright mb-30 ">
					
	        		<?php if ( !empty($image) ): ?>
	        			<div class="footer-logo">
	        			<a href="<?php the_permalink(); ?>">
	        			<img src="<?php echo esc_url( $image ) ; ?>" alt="<?php echo esc_attr__('Image','flone'); ?>">
	        		</a><br>
	        		</div>
	        		<?php endif ?>  
					
		                <?php if ( !empty($content) ): ?>
		                	<?php echo wpautop( $content ); ?>
		                <?php endif ?>
	            </div>
	        <?php echo wp_kses_post( $args['after_widget'] ); ?>

		<?php }


		/**
		 * Sanitize widget form values as they are saved.
		 *
		 * @see WP_Widget::update()
		 *
		 * @param array $new_instance Values just sent to be saved.
		 * @param array $old_instance Previously saved values from database.
		 *
		 * @return array Updated safe values to be saved.
		 */
		public function update($new_instance, $old_instance){
			$instace = array();
			$instance['image'] = ( !empty($new_instance['image']) ) ? strip_tags ( $new_instance['image'] ) : '';
			$instance['content'] = ( !empty($new_instance['content']) ) ? strip_tags ( $new_instance['content'] ) : '';



			if ( current_user_can( 'unfiltered_html' ) ) {
			        $instance['content'] = $new_instance['content'];
			} else {
			        $instance['content'] = wp_kses_post( $new_instance['content'] );
			}

			return $instance;
		}



		/**
		 * Back-end widget form.
		 *
		 * @see WP_Widget::form()
		 *
		 * @param array $instance Previously saved values from database.
		 */

		public function form($instance){
			
			$image = !empty( $instance['image'] ) ? $instance['image'] : ''; 
			$content = !empty( $instance['content'] ) ? $instance['content'] : ''; ?>

			<p>
				<label for="<?php echo esc_attr($this->get_field_id('image')); ?>"><?php echo esc_html__('Upload Image:','flone');?></label>
					<?php if(!empty($image)){ ?>
						<img class="custom_media_image" src="<?php echo esc_html($image); ?>" style="margin:0;padding:0;max-width:100px;display:inline-block" />
					<?php } ?>
					<input type="text" class="widefat custom_media_url" name="<?php echo esc_attr($this->get_field_name('image')); ?>" id="<?php echo esc_attr($this->get_field_id('image')); ?>" value="<?php echo esc_attr($image); ?>">
					<a href="#" id="custom_media_button" style="margin-top:10px;" class="button button-primary custom_media_button"><?php esc_html_e('Upload', 'flone'); ?></a>
			</p>

			<p>
				<label for="<?php echo esc_attr($this->get_field_id('content')); ?>"><?php echo esc_html__('Content:' ,'flone') ?></label>
				<textarea  id="<?php echo esc_attr($this->get_field_id('content')); ?>" name="<?php echo esc_attr($this->get_field_name('content')); ?>" rows="7" class="widefat" ><?php echo esc_textarea( $content ); ?></textarea>
			</p>

		<?php }


	} // end extends class
} // end exists class


// Register Footer Logo widget.

function flone_footer_logo_Widget() {
    register_widget( 'flone_footer_logo_Widget' );
}
add_action( 'widgets_init', 'flone_footer_logo_Widget' );